--- a/binding.gyp
+++ b/binding.gyp
@@ -7,7 +7,16 @@
   'targets': [
     {
       'target_name': 'better_sqlite3',
-      'dependencies': ['deps/sqlite3.gyp:sqlite3'],
+      'include_dirs': [
+      	'/usr/include/sqlcipher',
+      	'tokenizer',
+      ],
+      'link_settings': {
+        'libraries': [
+          '-lsqlcipher',
+          '<!(pwd)/tokenizer/libsignal_tokenizer.a',
+        ]
+      },
       'sources': ['src/better_sqlite3.cpp'],
       'cflags_cc': ['-std=c++17'],
       'xcode_settings': {
@@ -24,14 +33,22 @@
         ['OS=="linux"', {
           'ldflags': [
             '-Wl,-Bsymbolic',
-            '-Wl,--exclude-libs,ALL',
           ],
         }],
       ],
     },
     {
       'target_name': 'test_extension',
-      'dependencies': ['deps/sqlite3.gyp:sqlite3'],
+      'include_dirs': [
+      	'/usr/include/sqlcipher',
+      	'tokenizer',
+      ],
+      'link_settings': {
+        'libraries': [
+          '-lsqlcipher',
+          '<!(pwd)/tokenizer/libsignal_tokenizer.a',
+        ]
+      },
       'conditions': [['sqlite3 == ""', { 'sources': ['deps/test_extension.c'] }]],
     },
   ],
--- a/package.json
+++ b/package.json
@@ -34,7 +34,7 @@
     "sqlite3": "^5.0.2"
   },
   "scripts": {
-    "install": "npm run download && npm run build-release",
+    "install": "npm run build-release",
     "build-release": "node-gyp rebuild --release",
     "build-debug": "node-gyp rebuild --debug",
     "rebuild-release": "npm run lzz && npm run build-release",
